> For the complete documentation index, see [llms.txt](https://docs.xibosignage.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.xibosignage.com/developer/integrate/openapi/player-software.md).

# Player Software

## Edit Player Version

> Edit a Player Version file information

```json
{"openapi":"3.1.1","info":{"title":"Xibo API","version":"4.0"},"tags":[{"name":"Player Software"}],"servers":[{"url":"/api"}],"security":[{"auth":["write:all","read:all"]}],"components":{"securitySchemes":{"auth":{"type":"oauth2","flows":{"authorizationCode":{"authorizationUrl":"/api/authorize","tokenUrl":"/api/authorize/access_token","scopes":{"read:all":"read access","write:all":"write access"}}}}},"schemas":{"Media":{"properties":{"mediaId":{"description":"The Media ID","type":"integer"},"ownerId":{"description":"The ID of the User that owns this Media","type":"integer"},"parentId":{"description":"The Parent ID of this Media if it has been revised","type":"integer"},"name":{"description":"The Name of this Media","type":"string"},"mediaType":{"description":"The module type of this Media","type":"string"},"storedAs":{"description":"The file name of the media as stored in the library","type":"string"},"fileName":{"description":"The original file name as it was uploaded","type":"string"},"tags":{"description":"Tags associated with this Media, array of TagLink objects","type":"array","items":{"$ref":"#/components/schemas/TagLink"}},"fileSize":{"description":"The file size in bytes","type":"integer"},"duration":{"description":"The duration to use when assigning this media to a Layout widget","type":"integer"},"valid":{"description":"Flag indicating whether this media is valid.","type":"integer"},"moduleSystemFile":{"description":"DEPRECATED: Flag indicating whether this media is a system file or not","type":"integer"},"expires":{"description":"Timestamp indicating when this media should expire","type":"integer"},"retired":{"description":"Flag indicating whether this media is retired","type":"integer"},"isEdited":{"description":"Flag indicating whether this media has been edited and replaced with a newer file","type":"integer"},"md5":{"description":"A MD5 checksum of the stored media file","type":"string"},"owner":{"description":"The username of the User that owns this media","type":"string"},"groupsWithPermissions":{"description":"A comma separated list of groups/users with permissions to this Media","type":"string"},"released":{"description":"A flag indicating whether this media has been released","type":"integer"},"apiRef":{"description":"An API reference","type":"string"},"createdDt":{"description":"The datetime the Media was created","type":"string"},"modifiedDt":{"description":"The datetime the Media was last modified","type":"string"},"enableStat":{"description":"The option to enable the collection of Media Proof of Play statistics","type":"string"},"orientation":{"description":"The orientation of the Media file","type":"string"},"width":{"description":"The width of the Media file","type":"integer"},"height":{"description":"The height of the Media file","type":"integer"},"folderId":{"description":"The id of the Folder this Media belongs to","type":"integer"},"permissionsFolderId":{"description":"The id of the Folder responsible for providing permissions for this Media","type":"integer"}}},"TagLink":{"properties":{"tag":{"description":"The Tag","type":"string"},"tagId":{"description":"The Tag ID","type":"integer"},"value":{"description":"The Tag Value","type":"string"}}}}},"paths":{"/playersoftware/{versionId}":{"put":{"tags":["Player Software"],"summary":"Edit Player Version","description":"Edit a Player Version file information","operationId":"playersoftwareEdit","parameters":[{"schema":{"type":"integer"},"name":"versionId","in":"path","description":"The Version ID to Edit","required":true}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Media"}}}}},"requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"playerShowVersion":{"type":"string","description":"The Name of the player version application, this will be displayed in Version dropdowns in Display Profile and Display"},"version":{"type":"string","description":"The Version number"},"code":{"type":"integer","description":"The Code number"}},"required":[]}}}}}}}}
```

## Delete Version

> Delete Version file from the Library and Player Versions table

```json
{"openapi":"3.1.1","info":{"title":"Xibo API","version":"4.0"},"tags":[{"name":"Player Software"}],"servers":[{"url":"/api"}],"security":[{"auth":["write:all","read:all"]}],"components":{"securitySchemes":{"auth":{"type":"oauth2","flows":{"authorizationCode":{"authorizationUrl":"/api/authorize","tokenUrl":"/api/authorize/access_token","scopes":{"read:all":"read access","write:all":"write access"}}}}}},"paths":{"/playersoftware/{versionId}":{"delete":{"tags":["Player Software"],"summary":"Delete Version","description":"Delete Version file from the Library and Player Versions table","operationId":"playerSoftwareDelete","parameters":[{"schema":{"type":"integer"},"name":"versionId","in":"path","description":"The Version ID to Delete","required":true}],"responses":{"204":{"description":"successful operation"}}}}}}
```

## Player Software Upload

> Upload a new Player version file

```json
{"openapi":"3.1.1","info":{"title":"Xibo API","version":"4.0"},"tags":[{"name":"Player Software"}],"servers":[{"url":"/api"}],"security":[{"auth":["write:all","read:all"]}],"components":{"securitySchemes":{"auth":{"type":"oauth2","flows":{"authorizationCode":{"authorizationUrl":"/api/authorize","tokenUrl":"/api/authorize/access_token","scopes":{"read:all":"read access","write:all":"write access"}}}}}},"paths":{"/playersoftware":{"post":{"tags":["Player Software"],"summary":"Player Software Upload","description":"Upload a new Player version file","operationId":"playersoftwareUpload","responses":{"200":{"description":"successful operation"}},"requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"files":{"type":"string","description":"The Uploaded File","contentMediaType":"application/octet-stream"}},"required":["files"]}}}}}}}}
```

## Download Player Version file

> Download Player Version file

```json
{"openapi":"3.1.1","info":{"title":"Xibo API","version":"4.0"},"tags":[{"name":"Player Software"}],"servers":[{"url":"/api"}],"security":[{"auth":["write:all","read:all"]}],"components":{"securitySchemes":{"auth":{"type":"oauth2","flows":{"authorizationCode":{"authorizationUrl":"/api/authorize","tokenUrl":"/api/authorize/access_token","scopes":{"read:all":"read access","write:all":"write access"}}}}}},"paths":{"/playersoftware/download/{id}":{"get":{"tags":["Player Software"],"summary":"Download Player Version file","description":"Download Player Version file","operationId":"playersoftwareDownload","parameters":[{"schema":{"type":"integer"},"name":"id","in":"path","description":"The Player Version ID to Download","required":true}],"responses":{"200":{"description":"successful operation","headers":{"X-Accel-Redirect":{"description":"nginx send file header - if enabled.","schema":{"type":"string"}},"X-Sendfile":{"description":"Apache Send file header - if enabled.","schema":{"type":"string"}}},"content":{"application/json":{"schema":{"type":"string","contentMediaType":"application/octet-stream"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.xibosignage.com/developer/integrate/openapi/player-software.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
